Retrieve Snapshot v2 Reports

You can retrieve report snapshots by providing the snapshot ID and advertiser ID for an advertiser.

📘

URL: GET /api/v2/snapshot

Note:

  1. The format of the report is CSV, enclosed in “gzip” file format.
  2. You can request the following type of snapshots:
    1. Reports for Sponsored Brand campaigns: Report snapshots provide Sponsored Brand campaign metrics like they do for non-Sponsored Brand campaigns, however, following are some rules that specifically govern metrics for Sponsored Brand campaigns: 
      1. Clicks and Impressions are attributed as per clicks and
        display for each item displayed in Sponsored Brand placement 
      2. Sponsored Brand placement is only available on
        Search page; hence its metrics are included in Search page only
        for page type report 

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the advertiserintegerYUnique numeric identifier
snapshotIdThe ID of the snapshotstringYUnique alpha numeric identifier

Sample Request

curl -X GET\
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v2/snapshot?advertiserId=600001&snapshotId=1' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \

Response

ElementDescriptionType
snapshotIdID of the snapshot to be retrievedstring
jobStatusAn indicator to confirm status of snapshot generation.
The possible values of jobStatus are: pending, processing, done, failed, expired
string
detailsURL of the snapshot file when jobStatus is donestring
codeThe response code can have following values:   success, failurestring

Note:

  • Time to Live (TTL) for files generated is one day

Sample Response for Keyword Report

 { "code": "success", "snapshotId": "10", "details": "https://advertising.walmart.com/sp-reporting/xxxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx_SNAPSHOT00000000000.gz?sp=r&st=2025-02-27T00:00:00Z&se=2025-03-07T00:00:00Z&spr=https&sv=2022-11-02&sig=xxxxxxxxxxxxxxxxxxxxx%3D&sr=f", "jobStatus": "done" }

The snapshot file is in CSV format that includes response for each report type. You can request multiple report types in one request; however, the response would be captured in one zip/gzip file as explained in the “Types of Format” section. It will have single CSV file returning response for all report types.

Example content of snapshotId “10” (in CSV format):

"date","keywordId","searchedKeyword","biddedKeyword","matchType","campaignId","adGroupId","ntbUnits3days","ntbOrders3days","ntbRevenue3days","ntbUnits14days","ntbOrders14days","ntbRevenue14days","ntbUnits30days","ntbOrders30days","ntbRevenue30days","numAdsShown","numAdsClicks","adSpend","advertisedSkuSales3days","advertisedSkuSales14days","advertisedSkuSales30days","attributedUnits3days","attributedUnits14days","attributedUnits30days","otherSkuSales3days","otherSkuSales14days","otherSkuSales30days","attributedOrders3days","attributedOrders14days","attributedOrders30days","advertisedAddToCart3days","advertisedAddToCart14days","advertisedAddToCart30days","otherAddToCart3days","otherAddToCart14days","otherAddToCart30days","advertisedProductDetailPageViews3days","advertisedProductDetailPageViews14days","advertisedProductDetailPageViews30days","otherProductDetailPageViews3days","otherProductDetailPageViews14days","otherProductDetailPageViews30days","inStoreAdvertisedSales3days","inStoreAdvertisedSales14days","inStoreAdvertisedSales30days","inStoreOrders3days","inStoreOrders14days","inStoreOrders30days","inStoreUnitsSold3days","inStoreUnitsSold14days","inStoreUnitsSold30days","inStoreOtherSales3days","inStoreOtherSales14days","inStoreOtherSales30days"
"2022-12-10","800001","key1","bkey1","exact","800001","800001","52","53","54","55","56","57","59","60","61","100","10","6","180","184","188","400","40","8","12","28","76","92","140","156","12","76","140","20","84","148","16","80","144","2","7","15","1","8","22","25","37","49","3","5","7","4","6","9","18","29","41"

Notes for Keyword Report:

The following applies only to the Keyword report type:

  1. maximum character length of 60 characters is returned for searchedKeyword

  2. searchedKeyword field will provide:

    1. search query entered by the site visitor, in an event when an ad is
      delivered on Search Carousel or Search In-grid placements
    2. Item ID (anchor item) specific to the Item Page on which the ad is
      delivered, in an event when an ad is delivered on the item page
      placements